The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Need Process to Upgrade Perl to 5.6.1

Discussion in 'General Discussion' started by Curt, May 3, 2002.

  1. Curt

    Curt Well-Known Member

    Joined:
    Oct 16, 2001
    Messages:
    90
    Likes Received:
    0
    Trophy Points:
    6
    Does anyone have a process to follow for upgrading perl from ver 5.00503 to ver 5.6.1?

    I just started getting the following error when ever I try to install or remove Front Page Extentions;

    [b:31f74d65b2]Perl 5.006 required--this is only version 5.00503, stopped at /scripts/setupfp5 line 8.[/b:31f74d65b2]

    I downloaded 5.6.1 but I wanted to get feedback from those who have already gone through this upgrade.

    Any help is appreciated!
     
  2. Curt

    Curt Well-Known Member

    Joined:
    Oct 16, 2001
    Messages:
    90
    Likes Received:
    0
    Trophy Points:
    6
    OK, I figured out how to get this thing by untaring and running the install file in perl561installer.tar but I got hung and I had to break out at the following point. My server now displays 5.006001 in cpanel and I can now install FP extentions.

    I am wondering how much more there is to go in the script and should I run it from the begining again or is there something else I need to do?

    ======================================
    Enter `q' to stop search
    Please tell me where I can find your apache src
    [../apache_x.x/src]

    Can't stat `../apache_x.x/src'
    Please tell me where I can find your apache src
    [../apache_x.x/src] q

    Can't stat `../apache_x.x/src'
    Please tell me where I can find your apache src
    [../apache_x.x/src] /root/buildapache/apache_1.3.23/src/

    Can't stat `../apache_x.x/src'
    Please tell me where I can find your apache src
    [../apache_x.x/src] /root/buildapache/apache_1.3.23/src

    Can't stat `../apache_x.x/src'
    Please tell me where I can find your apache src
    [../apache_x.x/src] 'q'

    ====================================
     
  3. Drake

    Drake Well-Known Member

    Joined:
    Nov 9, 2001
    Messages:
    83
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    New Jersey
    cPanel Access Level:
    DataCenter Provider
    Upgrading Perl & Nick, please read suggestion

    I just ran into the same problem on Two different cpanel boxes !
    Monday it was fine, then Thursday May 8, Front Page extensions would not install!

    My situation started when installing Front Page extensions on an account, and error message said that perl needed to be upgraded!

    My choices were trying to install older Front Page extensions from the command line, or upgrading Perl. I knew that everyone (all customers who use their Control Panel) won't have shell access, so therefore command line installation of old F.P. extensions was not the best option.

    I chose to do the perl upgrade to 5.6.1 and it became a hassle.

    yes, I did hang up at the same error as you noted:
    &&Can't stat `../apache_x.x/src'
    &&Please tell me where I can find your apache src
    &&[../apache_x.x/src] 'q'

    q doesnt work quit! And a few lines earlier the &!& doesn't quit the search either.

    Other times, the script seemed to hang, but 5 or 10 minutes, started going again.

    These boxes don't have an apache source file on the box to be found anywhere. This has been a problem before too, with other installation stuff.

    It would be nice if CPanel also dropped an src file in there for httpd !

    To break out to the upgrade procedure, I used control-c

    Then apache crashed.

    Luckily it seems that Apache rebuild was one of the last things the upgrade had to do.

    I downloaded and ran the &buildapache.sea& file, which fixed up apache.

    However, then MYSQL, Interchange, and a bunch of other stuff failed, although the basic http web sites were working.

    Next, I remembered that the &apache-asp.sea& installation fixed some missing perl stuff for me before. Was worth a try, and it worked.

    Had to restart and stop and restart httpd several times to get it to start cooking again.

    Same thing with Interchange and Mysql. They needed to be started a few times from the /etc/rc.d/init.d/ to get back in gear again.

    Some shopping carts still failed miserably and had to be reset from scratch, but any new interchange shopping carts worked right away, and so did the Front Page extensions installer.

    If Nick reads this, please make us a simple automated script for upgrading perl to 5.6.1 withut crashing everything else.

    I have more boxes that are going to need this, and I'm sure alot of other people do also.

    Another suggestion for Nick, to give an option in WHM /Cpanel to install the older Front Page extensions if an old Perl is detected, rather than just giving an error message when attempting to install Front Page extensions on an account.

    Feel free to drop me an e-mail

    DrakeP@compunite.com
     
Loading...

Share This Page